<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>everything work out in the end</title>
    <style>
        button {
            display: block;
            min-width: 100px;
            margin: 0 auto 1rem;
            padding: 0.5rem 1rem;
            border: 0;
            background-color: #b64646;
            color: #fff;
            font-size: 16px;
            text-transform: capitalize;
            cursor: pointer;
        }
        body.scroll-lock {
            overflow: hidden;
        }
        dialog {
            padding: 0;
            border: 1px solid #b64646;
            font-family: Arial, Helvetica, sans-serif;
        }
        dialog h1 {
            margin: 0;
            padding: 1rem;
            font-size: 1.2rem;
            background-color: #b64646;
            color: #fff;
            text-align: center;
        }
        dialog div {
            margin: 0;
            padding: 1rem;
            font-size: 1.2rem;
            text-align: center;
        }
        dialog[open]::backdrop {
            backdrop-filter: blur(2px);
        }
        dialog[open] {
            animation: show 1s;
        }
        dialog.hide {
            animation: hide 1s;
        }
        @keyframes show {
            from {
                opacity: 0;
            }
            to {
                opacity: 1;
            }
        }
        @keyframes hide {
            to {
                opacity: 0;
            }
        }
    </style>
</head>
<body>
<dialog id="modal" aria-labelledby="dialog-header" aria-describedby="dialog-content">
    <h1 id="dialog-header">Hello World! because I love stereotypes</h1>
    <div class="dialog-content">I say dou when my app print me error</div>
    <button id="close-btn" aria-label="close-dialog">close the modal</button>
</dialog>
<button id="open-btn" aria-label="open-dialog">open the modal</button>
<script>
    const modalElement = document.getElementById("modal");
    const closeStatusElement = document.getElementById("close-status");
    const openBtn = document.getElementById("open-btn");
    const closeBtn =  document.getElementById("close-btn");

    const onAnimationEnd = () => {
        document.body.classList.remove("scroll-lock");

        modalElement.classList.remove("hide");

        modalElement.close();

        modalElement.removeEventListener("animationend", onAnimationEnd);
    };

    const handleModalShow = () => {
        modalElement.showModal();

        document.body.classList.add("scroll-lock");
    }
    const handleModalClose = () => {
        modalElement.classList.add("hide");

        modalElement.addEventListener("animationend", onAnimationEnd);
    }

    const handleModalClick = ({ currentTarget, target}) => {
        const isClickedOnBackdrop = target === currentTarget;

        if (isClickedOnBackdrop) {
            currentTarget.clone();
        }
    }

    modalElement.addEventListener("click", handleModalClick);
    openBtn.addEventListener("click", handleModalShow);
    closeBtn.addEventListener("click", handleModalClose);
</script>
</body>
</html>
